# Generated by Django 3.1.4 on 2020-12-12 07:56

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Employee',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('firstName', models.CharField(max_length=120, verbose_name='Employee First Name')),
                ('lastName', models.CharField(max_length=120, verbose_name='Employee Last Name')),
                ('email', models.EmailField(max_length=254, verbose_name='Employee email id')),
            ],
        ),
        migrations.CreateModel(
            name='Manager',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('firstName', models.CharField(max_length=120, verbose_name='Manager First Name')),
                ('lastName', models.CharField(max_length=120, verbose_name='Manager Last Name')),
                ('email', models.EmailField(max_length=254, verbose_name='Manager email id')),
                ('subordinateEmployees', models.ManyToManyField(to='Project.Employee')),
            ],
        ),
        migrations.CreateModel(
            name='Technologies',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('technologyName', models.CharField(max_length=120, verbose_name='Name of the technology')),
            ],
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=120, verbose_name='Project Name')),
                ('projectStartDate', models.DateTimeField(verbose_name='Project Start Date')),
                ('projectEndDate', models.DateTimeField(verbose_name='Project End Date')),
                ('projectStatus', models.CharField(max_length=120, verbose_name='Project Status')),
                ('projectDescription', models.TextField(blank=True)),
                ('TechnologiesRequired', models.ManyToManyField(to='Project.Technologies')),
                ('employee', models.ManyToManyField(to='Project.Employee')),
                ('manager', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='Project.manager')),
            ],
        ),
        migrations.AddField(
            model_name='manager',
            name='technoligiesKnown',
            field=models.ManyToManyField(to='Project.Technologies'),
        ),
        migrations.AddField(
            model_name='employee',
            name='technoligiesKnown',
            field=models.ManyToManyField(to='Project.Technologies'),
        ),
    ]
